Subject: Re: man pages are littered with .ft C and others

From: Jakub Narebski <[email-masked]>
Date: Sat, 02 Feb 2008 10:49:41 -0800 (PST)

Adam Flott <[email-masked]> writes:

> I do remember at one point the man pages looking correctly (just tested
> v1.5.3.8 and it shows the same problem). Therefore it is probably
> some package I'm missing on my system.

Or perhaps lack of configuration during build.

I have simply build git from original source RPM; this SRPM
does not use pre-compiled manpages (as it could), neither uses
configure to do autodetection of features (which might have
detected and fixed some build configuration needed).

Makefile has ASCIIDOC8 (set automatically by configure)
and DOCBOOK_XSL_172 (which is not autodetected).
 
> And now, I see this scattered all over:
> 
> For example:
> 
>       .ft C
>       $ git checkout master             \fB(1)\fR
>       $ git checkout master~2 Makefile  \fB(2)\fR
>       $ rm -f hello.c
>       $ git checkout hello.c            \fB(3)\fR
>       .ft
> 
> Seems that "------------" and <n>, and a few others aren't being
> translated. Note: I'm not at all familiar with the layout of man pages
> so I have no idea how to fix it or even diagnose it further.

I see the same error in manpages, for example in git-diff-tree(1)

       Example:

       .ft C
       :100644 100644 5be4a4...... 000000...... M file.c
       .ft

> Version info:
> up to date Kubuntu 7.10

Old Aurox Linux 11.1 (based on Fedora Core 4 + some updates)

> asciidoc/gutsy uptodate 8.2.1-2
> docbook-dsssl/gutsy uptodate 1.79-4
> docbook-utils/gutsy uptodate 0.6.14-1
> docbook-xml/gutsy uptodate 4.5-4
> docbook-xsl-doc-html/gutsy uptodate 1.72.0.dfsg.1-2
> docbook-xsl/gutsy uptodate 1.72.0.dfsg.1-2
> xmlto/gutsy uptodate 0.0.18-5.1build1

asciidoc-7.1.2-2.fc3.rf
docbook-dtds-1.0-26
docbook-style-dsssl-1.79-1
docbook-style-xsl-1.68.1-1
docbook-utils-0.6.14-4
docbook-utils-pdf-0.6.14-4
xmlto-0.0.18-6
 
$ asciidoc --version
asciidoc 7.1.2
$ xmlto --version
xmlto version 0.0.18

>>From VERSION file in docbook-style-xsl:
<fm:project>
  <fm:Project>DocBook</fm:Project>
  <fm:Branch>XSL Stylesheets</fm:Branch>
  <fm:Version>1.68.1</fm:Version>

> Anyone else seeing this?

I'm also seeing this.

-- 
Jakub Narebski
Poland
ShadeHawk on #git